# Record Class CJ1CommandItemSearchPrevious

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1CommandItemSearchPrevious

All Implemented Interfaces:
  `CJ1CommandType`, `CJ1MessageType`, `CJ1ValueType`

@JsonClassDescription("Get the previous page of items.") public record CJ1CommandItemSearchPrevious() extends Record implements CJ1CommandType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1CommandItemSearchPrevious()`
  Creates an instance of a `CJ1CommandItemSearchPrevious` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1CommandItemSearchPrevious

    public CJ1CommandItemSearchPrevious()
    Creates an instance of a `CJ1CommandItemSearchPrevious` record class.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.